Package ru.bitel.bgbilling.modules.inet.common.bean.enums

# Enum Class AccessCode

java.lang.Object
java.lang.Enum<AccessCode>
ru.bitel.bgbilling.modules.inet.common.bean.enums.AccessCode

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessCode>`, `Constable`

public enum AccessCode extends Enum<AccessCode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNTING_PERIOD_NOT_AVAILABLE`
  `AUTH_DENY`
  `AUTHORIZATION_SUCCEEDED`
  `BALANCE_INSUFFICIENT`
  `CALL_TYPE_NOT_RECOGNIZED`
  `CARD_ACTIVATED_BALANCE`
  `CARD_EXPIRED`
  `CARD_FOR_BALANCE`
  `CARD_LOCKED`
  `CONTRACT_LOCKED`
  `DESTINATION_DENY`
  `DESTINATION_NOT_FOUND`
  `FREE_IP_ADDRESS_NOT_FOUND`
  `IDENTIFIER_DENY`
  `INVALID_ACCOUNT`
  `INVALID_PIN`
  `IP_ADDRESS_DENY`
  `MAC_DENY`
  `NAS_DENY`
  `NAS_NOT_FOUND`
  `PRICE_NOT_FOUND`
  `REALM_DENY`
  `REQUEST_SKIPPED`
  `SERVICE_CLOSED`
  `SERVICE_DENY`
  `SERVICE_LOCKED`
  `SERVICE_NOT_FOUND`
  `SYSTEM_ERROR`
  `TARIFF_NOT_FOUND`
  `TOO_MANY_SESSIONS_ERROR`
  `USER_BANNED`
  `USER_DENY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessCode`
  `getAccessCode(int code)`
  `int`
  `getCode()`
  `String`
  `getTitle()`
  `static AccessCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccessCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTHORIZATION_SUCCEEDED

    public static final AccessCode AUTHORIZATION_SUCCEEDED

  - ### INVALID_ACCOUNT

    public static final AccessCode INVALID_ACCOUNT

  - ### INVALID_PIN

    public static final AccessCode INVALID_PIN

  - ### TOO_MANY_SESSIONS_ERROR

    public static final AccessCode TOO_MANY_SESSIONS_ERROR

  - ### ACCOUNTING_PERIOD_NOT_AVAILABLE

    public static final AccessCode ACCOUNTING_PERIOD_NOT_AVAILABLE

  - ### SERVICE_LOCKED

    public static final AccessCode SERVICE_LOCKED

  - ### CONTRACT_LOCKED

    public static final AccessCode CONTRACT_LOCKED

  - ### BALANCE_INSUFFICIENT

    public static final AccessCode BALANCE_INSUFFICIENT

  - ### SERVICE_CLOSED

    public static final AccessCode SERVICE_CLOSED

  - ### CARD_EXPIRED

    public static final AccessCode CARD_EXPIRED

  - ### CARD_LOCKED

    public static final AccessCode CARD_LOCKED

  - ### CARD_FOR_BALANCE

    public static final AccessCode CARD_FOR_BALANCE

  - ### CARD_ACTIVATED_BALANCE

    public static final AccessCode CARD_ACTIVATED_BALANCE

  - ### NAS_DENY

    public static final AccessCode NAS_DENY

  - ### SERVICE_DENY

    public static final AccessCode SERVICE_DENY

  - ### USER_DENY

    public static final AccessCode USER_DENY

  - ### REALM_DENY

    public static final AccessCode REALM_DENY

  - ### AUTH_DENY

    public static final AccessCode AUTH_DENY

  - ### DESTINATION_DENY

    public static final AccessCode DESTINATION_DENY

  - ### MAC_DENY

    public static final AccessCode MAC_DENY

  - ### IDENTIFIER_DENY

    public static final AccessCode IDENTIFIER_DENY

  - ### IP_ADDRESS_DENY

    public static final AccessCode IP_ADDRESS_DENY

  - ### USER_BANNED

    public static final AccessCode USER_BANNED

  - ### NAS_NOT_FOUND

    public static final AccessCode NAS_NOT_FOUND

  - ### SERVICE_NOT_FOUND

    public static final AccessCode SERVICE_NOT_FOUND

  - ### TARIFF_NOT_FOUND

    public static final AccessCode TARIFF_NOT_FOUND

  - ### PRICE_NOT_FOUND

    public static final AccessCode PRICE_NOT_FOUND

  - ### CALL_TYPE_NOT_RECOGNIZED

    public static final AccessCode CALL_TYPE_NOT_RECOGNIZED

  - ### DESTINATION_NOT_FOUND

    public static final AccessCode DESTINATION_NOT_FOUND

  - ### FREE_IP_ADDRESS_NOT_FOUND

    public static final AccessCode FREE_IP_ADDRESS_NOT_FOUND

  - ### SYSTEM_ERROR

    public static final AccessCode SYSTEM_ERROR

  - ### REQUEST_SKIPPED

    public static final AccessCode REQUEST_SKIPPED

- ## Method Details

  - ### values

    public static AccessCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AccessCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTitle

    public String getTitle()

  - ### getAccessCode

    public static AccessCode getAccessCode(int code)